var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import * as React from 'react';
import loadSprite from './loadSprite';
import BaseIcon from './BaseIcon';
export default (function (meta) {
  var Icon = function Icon(props) {
    React.useEffect(function () {
      loadSprite(meta);
    }, []);
    return /*#__PURE__*/React.createElement(BaseIcon, __assign({
      type: meta.type
    }, props));
  };

  Icon.displayName = meta.name;
  Icon.defaultProps = {
    size: 'md'
  };
  return Icon;
});