"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactuiMobileMobileTouchable = _interopRequireDefault(require("reactui-mobile-mobile-touchable"));

require("reactui-mobile-mobile-styles/lib/Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'amd-icon';

var Icon = function Icon(props) {
  var type = props.type,
      className = props.className,
      size = props.size,
      color = props.color,
      onPress = props.onPress;
  var cls = (0, _classnames.default)(className, prefixCls, prefixCls + "-" + type, prefixCls + "-" + size);
  return /*#__PURE__*/React.createElement(_reactuiMobileMobileTouchable.default, {
    onPress: onPress
  }, /*#__PURE__*/React.createElement("svg", {
    className: cls,
    color: color
  }, /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#" + type
  })));
};

Icon.displayName = 'BaseIcon';
Icon.defaultProps = {
  size: 'md'
};
var _default = Icon;
exports.default = _default;