"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  _BaseIcon: true,
  _getIconByMeta: true
};
Object.defineProperty(exports, "_BaseIcon", {
  enumerable: true,
  get: function get() {
    return _BaseIcon.default;
  }
});
Object.defineProperty(exports, "_getIconByMeta", {
  enumerable: true,
  get: function get() {
    return _getIconByMeta.default;
  }
});

var _icons = require("./icons");

Object.keys(_icons).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _icons[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _icons[key];
    }
  });
});

var _BaseIcon = _interopRequireDefault(require("./BaseIcon"));

var _getIconByMeta = _interopRequireDefault(require("./getIconByMeta"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }